<?php
$check_imgmode = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgmode'");
$check_imgmode_info = mysqli_fetch_assoc($check_imgmode);
if ($check_imgmode_info['valeur']=="gen") {
	$img_name = "idlog_edt";
}
else if ($check_imgmode_info['valeur']=="spe") {
	$img_name = "cdi_edt_".$week."";
}

if (preg_match("#Chrome#", getenv("HTTP_USER_AGENT"))) { 
	$edtimgajust = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgajust'"));
	$edtimgajust_infos = explode(";",$edtimgajust['valeur']);
	$ajustx = $edtimgajust_infos[0];
	$ajusty = $edtimgajust_infos[1];
}
if(!isset($ajustx)) { $ajustx = 0; }
if(!isset($ajusty)) { $ajusty = 0; }

// pour l'image, on va chercher les éléments html-image dans edt_table et edt_cellule, avec possibilité d'extraire des éléments avec data-html2canvas-ignore
echo '<script type="text/javascript">
	$(document).ready(function(){
		var divx = $("#html-image").offset().left;
		var divy = $("#html-image").offset().top;
		var divw = $("#html-image").width();
		var divh = $("#html-image").height();
		var posx = divx+4+'.$ajustx.';
		var posy = divy+37+'.$ajusty.';
		var imgageData;
		$("#upload-Html2Image").on("click", function() {
			html2canvas($("#html-image")[0], {
	    		width:divw,
	    		height:'.$total_height.',
	    		x:posx,
	    		y:posy,
	    		scrollX:0,
	    		scrollY:0,
	    		scale:1
	   		 }).then(canvas => {
			    imgageData = canvas.toDataURL("image/png");
			    // pour uploader :
				var newData = imgageData.replace(/^data:image\/png/, "data:application/octet-stream");
				document.getElementById("fileimg").value = imgageData;
				document.getElementById("upload_img").submit();
			});

		});
	});
</script>';

echo '<div name="noprint"><br><a href="javascript:;" onclick="javascript:window.print()" value="" name="impressappel"><img src="img/printer.png" title="Imprimer l\'emploi du temps du CDI"/></a>&nbsp; &nbsp; <!-- &nbsp; <i>Pour imprimer en couleur, activez l\'impression d\'arrière-plan dans les options d\'impression.</i>-->';
if($_SESSION['user_droits'][2]==2) { 
	echo '<a onclick="submitpdf();" id="preview-pdf"><img src="img/pdf-icon.png" title="Extraire au format PDF"/></a>';
	// Envoi par mail
	if(@$_SESSION['auth_mail']==1) {
		if(isset($_POST['mail_send'])) {
			include('./db/proc/mailing/mailing_edt.php');
		}
		echo '&nbsp; &nbsp; <a href="javascript:;clearTimeout(timer);" id="mail" onmousedown="toggleDiv(\'divmail\');"><img src="img/div/mail.png" title="Envoyer la liste par mail" name="noprint" class="printer" /></a>';
		echo '<div name="noprint" id="divmail" style="display:none;">
		<p>Envoi de l\'EDT en PDF aux adresses suivantes :</p>
		<form method="POST" action="" name="mailing">';
		$mails = mysqli_query($bdd,"SELECT * FROM ".$prefix."_user WHERE mail <> ''");
		if(mysqli_num_rows($mails)>0) {
			while($mail=mysqli_fetch_array($mails)) {
				echo '<input type="checkbox" name="mail[]" id="'.$mail['mail'].'" value="'.$mail['mail'].'" checked /><label for="'.$mail['mail'].'"> '.$mail['login'].' : '.$mail['mail'].'</label><br>';
			}
		}
		echo 'Autre adresse (1) : <input type="email" name="mail1" /><br>
		Autre adresse (2) : <input type="email" name="mail2" /><br>
		<input type="hidden" name="week" value="'.$week.'" />
		<input class="bouton boutedt paddvalid1" type="submit" name="mail_send" value="Envoyer" /></form>';
		echo '</div>';
	}
	if(isset($_POST['havepdf'])) {
		include('./include/pdf_loaders/edt_pdf.php');
	}
    echo '<form id="loadpdf" action="./include/pdf_loaders/edt_pdf.php" method="post"><input type="hidden" name="havepdf" value="1" /></form>';

    echo '<script type="text/javascript">
	function submitpdf(){
		$("#loadpdf").submit()
	}
	</script>';
}

if(isset($_POST["fileimg"])) { 
	$dossier = './img/edt/';
    $nom = ''.$img_name.'.png';
 	$current = file_get_contents($_POST["fileimg"]);
	file_put_contents($dossier.$nom, $current);
	//suppression des images en trop :
	if ($check_imgmode_info['valeur']=="spe") {
		$imgnb = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgnb'");
		$imgnb_info = mysqli_fetch_assoc($imgnb);
		$nbmax = $imgnb_info['valeur'];
		$dossier = opendir('./img/edt/'); 
		$fichiers = array();
		while(false !== ($fichier = readdir($dossier))) {
			if($fichier != '.' && $fichier != '..') {
				array_push ($fichiers,$fichier);
			}
		}
		$count = count($fichiers);
		if($count >= $nbmax) {
			// Inverser l'ordre des fichiers png pour ne pas supprimer les derniers fichiers
			rsort($fichiers);
			// Suppression...
			for($i = $nbmax; $i < $count; $i++) {
				unlink('./img/edt/'.$fichiers[$i]);
			}
		}
		closedir($dossier);
	}
}
echo '<br>
<div class="previewImage" id="previewImage">
	<table class="noborder"><tr><td><img src="img/toimage.png" title="Générer une image"/></td><td><p><b>Image de l\'emploi du temps (CDI) : </b></p>
	<form name="upload_img" id="upload_img" method="POST" enctype="multipart/form-data" action=""><input name="fileimg" type="hidden" id="fileimg" value="" /><a id="upload-Html2Image" href="javascript:;"><i class="fas fa-angle-double-right"></i> uploader l\'image sur le serveur</a><br><i>(téléchargement par click droit sur la vignette générée)</i></form></td></tr></table>
</div>';

if($dossier = opendir('./img/edt')) {
	$tab_save = array();
	$vignette_edt = array();
	while(false !== ($fichier = readdir($dossier))) {
		if($fichier != '.' && $fichier != '..') {
			$line = '<div style="padding-left:80px;><li><a href="./img/edt/' . $fichier . '?'.date('Ymd').date('His').'">' . $fichier . '</a></li>';
			$vigline = '<br><img width="200" src="./img/edt/' . $fichier . '?'.date('Ymd').date('His').'" /></div>';
			array_push($tab_save,$line);
			array_push($vignette_edt,$vigline);
		}
	}
	arsort($tab_save);
	$count = count($tab_save);
	if($count>0){
		if ($check_imgmode_info['valeur']=="gen") {
			echo '<p style="padding-left:80px;">Image disponible : ';
			for($i=($count-1);$i>-1;$i--) {
				echo $tab_save[$i];
				echo $vignette_edt[$i];
			}
			echo '</p>';
		}
		else if ($check_imgmode_info['valeur']=="spe") {
			echo '<p style="padding-left:80px;"><a href="javascript:;" onmousedown="toggleDiv(\'listImages\');">Visualiser les images d\'EDT disponibles</a>
			<div style="display:none;" class="listImages" id="listImages">';
			echo '<ul class="listImages">';
			rsort($tab_save);
			for($i=0;$i<$count;$i++) {
				echo $tab_save[$i];
				echo $vignette_edt[$i];
			}
			echo '</ul>';
			echo '</div></p>';
		}

	}
	closedir($dossier);
}
echo '</div>';
?>