<?php 

echo '<br>&nbsp; <br><h3>Statistiques par genre : ';

$totalfreq = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' AND (freq.sexe = 'M' OR freq.sexe = 'F') ".$filtre_activs."");
$totalfreq_nb = mysqli_num_rows($totalfreq);
if($totalfreq_nb==0) {
	echo 'aucun élève pour cette équation.</h3>';
}
else {
	echo $totalfreq_nb;
	echo ' élèves.</h3>';
	//fréquentation par genre et par niveau :
	$i=1;
	foreach($tabDebgenre as $genre) {
		$tabNiv[$i] = array();
		if($genre=="F") { $color='green'; }
		if($genre=="M") { $color='red'; }
		$tabColor[$i] = $color;
		foreach($tabDebniveau as $divdeb) {	
			$nbeleves_niv = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' AND freq.division LIKE '".$divdeb."%'  AND (freq.sexe = 'M' OR freq.sexe = 'F') ".$filtre_activs."");
			$nbniv = mysqli_num_rows($nbeleves_niv);
			$nbeleves_genre = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' AND freq.division LIKE '".$divdeb."%' AND freq.sexe = '".$genre."' ".$filtre_activs."");
			$nbeleves = mysqli_num_rows($nbeleves_genre);
			if($nbniv==0||$nbeleves==0) {
				$percent_genre_niv = 0;
			}
			else {
				$percent_genre_niv = round(($nbeleves*100/$nbniv),2);
			}
			array_push($tabNiv[$i], $percent_genre_niv);
		}
		$i++;
	}
	?>

	<div id="wrapper" class="statcadre">
	<canvas id="chart_percentgenreperniv" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_percentgenreperniv");
	var myChart = new Chart(ctx, {
		type: 'bar',
		data: {
			labels: <?php echo json_encode($tabNiveau); ?>,
			datasets: [ 
			<?php $i=1; $j=1;
			foreach($tabDebgenre as $genre) { ?>
			{
				label: <?php echo json_encode($tabGenre[$i-1]); ?>,
				data: <?php echo json_encode($tabNiv[$i]); ?>,
				backgroundColor: <?php echo json_encode($tabColor[$i]); ?>,
				borderColor: <?php echo json_encode($tabColor[$i]); ?>,
				borderWidth: 1
			} <?php if($j<count($tabGenre)) { echo ','; } $i++; $j++;} ?> ]
		},
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true
					}
				}]
			},
			title: {
				display: true,
				text: 'Proportion de filles et de garçons par niveau'
			},
			legend: {
				display:true
			},
			responsive: true,
			maintainAspectRatio: false
		}
	});
	</script>

	<?php
	$tabPercentPerGenre = array();
	foreach($tabDebgenre as $genre) {
			$nbeleves_genre = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' AND freq.sexe = '".$genre."' ".$filtre_activs."");
			$nbeleves = mysqli_num_rows($nbeleves_genre);
			if($nbeleves==0) {
				$percent_genre_niv = 0;
			}
			else {
				$percent_genre_niv = round(($nbeleves*100/$totalfreq_nb),2);
			}
			array_push($tabPercentPerGenre, $percent_genre_niv);
	}
	?>
	<div id="wrapper" class="statcadre">
	<canvas id="chart_percentpergenre" class="charts" width="400" height="500"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_percentpergenre");
	var myChart = new Chart(ctx, {
		type: 'pie',
		data: {
			labels: <?php echo json_encode($tabGenre); ?>,
			datasets: [{
				data: <?php echo json_encode($tabPercentPerGenre); ?>,
				backgroundColor: <?php echo json_encode($tabGenreColor); ?>,
				borderColor: <?php echo json_encode($tabGenreColor); ?>,
			}]
		},
		options: {
			title: {
				display: true,
				text: 'Proportion de filles et de garçons'
			},
			responsive: true,
			maintainAspectRatio: false,
			showAllTooltips: true
		}
	});
	</script>
<?php } ?>